com.corticon.service.ccdeploy.exception

## Class CcDeployFileOrDirNotFoundException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccdeploy.exception.CcDeployException
    - - com.corticon.service.ccdeploy.exception.CcDeployFileOrDirNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcDeployFileOrDirNotFoundException
      extends CcDeployException
      implements java.io.Serializable

  `CcDeployFileOrDirNotFoundException` is thrown when a file or directory access attempt (e.g. a .erf, .ers, .eds, .cdd, etc.) fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcDeployFileOrDirNotFoundException()`
    `CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcDeployFileOrDirNotFoundException(java.lang.String astrMessage)`
    `CcDeployFileOrDirNotFoundException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException()

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException(java.lang.String astrMessage)

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException(java.lang.String astrMessage,
                                                    java.lang.Object aobject)

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage)

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException,
                                                    java.lang.Object aobject)

    - #### CcDeployFileOrDirNotFoundException

          public CcDeployFileOrDirNotFoundException(java.lang.Exception aparentException,
                                                    java.lang.String astrMessage,
                                                    java.lang.Object aobject)

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.